use serde::Deserialize;

#[derive(Debug, Clone, Deserialize)]
pub struct Config {
    pub general: GeneralConfig,
}

#[derive(Debug, Clone, Deserialize)]
pub struct GeneralConfig {
    pub private: bool,
    pub allow_ogp: bool,
    pub root_url: String,
    pub video_path: String,
}
