use based::request::StringResponse;
use rocket::http::{ContentType, Status};

pub mod assets;
pub mod components;
pub mod index;
pub mod user;
pub mod watch;
pub mod yt;

pub fn api_response(json: &serde_json::Value) -> StringResponse {
    (
        Status::Ok,
        (ContentType::JSON, serde_json::to_string(json).unwrap()),
    )
}
